Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHCompressor

    java.lang.Object
      com.mindbright.ssh.SSHCompressor

Direct Known Subclasses:
  SSHCompressorZLib

public abstract class SSHCompressor
extends java.lang.Object

Field Summary
`static int` | `COMPRESS_MODE`
`static int` | `UNCOMPRESS_MODE`

Constructor Summary
`SSHCompressor()`

Method Summary
`abstract void` | `compress(SSHPduOutputStream pdu)`
`static SSHCompressor` | `getInstance(java.lang.String algorithm, int mode, int level)`
`abstract void` | `init(int mode, int level)`
`abstract long` | `numOfCompressedBytes()`
`abstract long` | `numOfUncompressedBytes()`
`abstract void` | `uncompress(SSHPduInputStream pdu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPRESS_MODE

    public static final int COMPRESS_MODE

See Also:
  Constant Field Values

### UNCOMPRESS_MODE

    public static final int UNCOMPRESS_MODE

See Also:
  Constant Field Values

Constructor Detail

### SSHCompressor

    public SSHCompressor()

Method Detail

### getInstance

    public static SSHCompressor getInstance(java.lang.String algorithm,
                                            int mode,
                                            int level)
                                     throws SSHCompressionException

  Throws:
    `SSHCompressionException`

### init

    public abstract void init(int mode,
                              int level)

### compress

    public abstract void compress(SSHPduOutputStream pdu)
                           throws SSHCompressionException

  Throws:
    `SSHCompressionException`

### uncompress

    public abstract void uncompress(SSHPduInputStream pdu)
                             throws SSHCompressionException

  Throws:
    `SSHCompressionException`

### numOfCompressedBytes

    public abstract long numOfCompressedBytes()

### numOfUncompressedBytes

    public abstract long numOfUncompressedBytes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD